Bug 983017 - s-c-kdump and grubby not functioning on UEFI box
s-c-kdump and grubby not functioning on UEFI box
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: system-config-kdump (Show other bugs)
18
Unspecified Linux
unspecified Severity medium
: ---
: ---
Assigned To: Martin Milata
Fedora Extras Quality Assurance
:
Depends On: 984549
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-10 05:56 EDT by Patrick C. F. Ernzer
Modified: 2013-10-08 07:25 EDT (History)
2 users (show)

See Also:
Fixed In Version: system-config-kdump-2.0.13-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-08 07:25:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output of system-config-kdump -d (18.87 KB, text/plain)
2013-07-10 05:56 EDT, Patrick C. F. Ernzer
no flags Details
s-c-kdump-2.0.12-1 output (25.06 KB, text/plain)
2013-07-11 11:09 EDT, Patrick C. F. Ernzer
no flags Details

  None (edit)
Description Patrick C. F. Ernzer 2013-07-10 05:56:58 EDT
Created attachment 771511 [details]
output of system-config-kdump -d

Description of problem:
I have a machine (ThinkPad x230) which I put in UEFI mode (no real need, this is a "because I can" decision). If I call s-c-kdump to enable kdump, it will not find the kernel as it's looking in the wrong location.

Not sure if this is a s-c-kdump or a grubby bug.

Version-Release number of selected component (if applicable):
system-config-kdump-2.0.11-2.fc18.noarch
grubby-8.22-1.fc18.x86_64

How reproducible:
always

Steps to Reproduce:
1. set machine to use UEFI (I want to play with Secure Boot)
2. Install F18 (this machine is hopefully getting F19 next w-e)
3. system-config-kdump -d
4. click 'enable'
5. click 'apply'

Actual results:
grubby: unexpected argument --update-kernel=/boot/vmlinuz-3.9.6-200.fc18.x86_64

Expected results:
s-c-kdump able to set up kdump, even if machine is using UEFI.

Additional info:
maybe it's looking in the wrong place. 
[root@x230 ~]# ls /boot/grub2/ /boot/efi/EFI/fedora/
/boot/efi/EFI/fedora/:
fonts  gcdx64.efi  grub.cfg  grubx64.efi  MokManager.efi  shim.efi  shim-fedora.efi

/boot/grub2/:
grubenv  themes
Comment 3 Fedora Update System 2013-07-10 16:16:47 EDT
system-config-kdump-2.0.12-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/system-config-kdump-2.0.12-1.fc18
Comment 4 Fedora Update System 2013-07-10 16:17:05 EDT
system-config-kdump-2.0.12-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/system-config-kdump-2.0.12-1.fc19
Comment 6 Patrick C. F. Ernzer 2013-07-11 11:04:55 EDT
system-config-kdump-2.0.12-1.fc18 is still broken for me :-(

I'll attach system-config-kdump -d output
Comment 7 Patrick C. F. Ernzer 2013-07-11 11:09:11 EDT
Created attachment 772265 [details]
s-c-kdump-2.0.12-1 output
Comment 9 Fedora Update System 2013-07-11 23:13:49 EDT
Package system-config-kdump-2.0.12-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing system-config-kdump-2.0.12-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-12830/system-config-kdump-2.0.12-1.fc19
then log in and leave karma (feedback).
Comment 11 Fedora Update System 2013-09-27 09:23:56 EDT
system-config-kdump-2.0.13-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/system-config-kdump-2.0.13-1.fc18
Comment 12 Fedora Update System 2013-09-27 09:24:19 EDT
system-config-kdump-2.0.13-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/system-config-kdump-2.0.13-1.fc19
Comment 13 Fedora Update System 2013-09-27 20:08:40 EDT
Package system-config-kdump-2.0.13-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing system-config-kdump-2.0.13-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-17797/system-config-kdump-2.0.13-1.fc18
then log in and leave karma (feedback).
Comment 14 Fedora Update System 2013-10-08 07:25:52 EDT
system-config-kdump-2.0.13-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.